net.fortuna.ical4j.model.property

## Class Transp

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Property
    - - net.fortuna.ical4j.model.property.Transp

All Implemented Interfaces:
  Serializable

    public class Transp
    extends Property

$Id$ Created: [Apr 6, 2004] Defines a TRANSP iCalendar component property.

         4.8.2.7 Time Transparency

            Property Name: TRANSP

            Purpose: This property defines whether an event is transparent or not
            to busy time searches.

            Value Type: TEXT

            Property Parameters: Non-standard property parameters can be
            specified on this property.

            Conformance: This property can be specified once in a "VEVENT"
            calendar component.

            Description: Time Transparency is the characteristic of an event that
            determines whether it appears to consume time on a calendar. Events
            that consume actual time for the individual or resource associated
            with the calendar SHOULD be recorded as OPAQUE, allowing them to be
            detected by free-busy time searches. Other events, which do not take
            up the individual's (or resource's) time SHOULD be recorded as
            TRANSPARENT, making them invisible to free-busy time searches.

            Format Definition: The property is specified by the following
            notation:

              transp     = "TRANSP" tranparam ":" transvalue CRLF

              tranparam  = *(";" xparam)

              transvalue = "OPAQUE"      ;Blocks or opaque on busy time searches.
                         / "TRANSPARENT" ;Transparent on busy time searches.
                 ;Default value is OPAQUE

            Example: The following is an example of this property for an event
            that is transparent or does not block on free/busy time searches:

              TRANSP:TRANSPARENT

            The following is an example of this property for an event that is
            opaque or blocks on free/busy time searches:

              TRANSP:OPAQUE

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Field Summary

Fields
`static Transp` `OPAQUE` Opaque.
`static Transp` `TRANSPARENT` Transparent.

### Fields inherited from class net.fortuna.ical4j.model.Property

`ACTION, ATTACH, ATTENDEE, BUSYTYPE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, COUNTRY, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, EXTENDED_ADDRESS, FREEBUSY, GEO, LAST_MODIFIED, LOCALITY, LOCATION, LOCATION_TYPE, METHOD, NAME, ORGANIZER, PERCENT_COMPLETE, POSTALCODE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, REGION, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, STREET_ADDRESS, SUMMARY, TEL, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`Transp()` Default constructor.
`Transp(ParameterList aList, String aValue)`
`Transp(String aValue)`

### Method Summary

Methods
`String` `getValue()`
`void` `setValue(String aValue)` Sets the current value of the property.
`void` `validate()` Perform validation on a property.

### Methods inherited from class net.fortuna.ical4j.model.Property

`copy, equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### OPAQUE

    public static final Transp OPAQUE

Opaque.

#### TRANSPARENT

    public static final Transp TRANSPARENT

Transparent.

### Constructor Detail

#### Transp

    public Transp()

Default constructor.

#### Transp

    public Transp(String aValue)

Parameters:
  `aValue` - a value string for this component

#### Transp

    public Transp(ParameterList aList,
          String aValue)

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component

### Method Detail

#### setValue

    public void setValue(String aValue)

Sets the current value of the property.

Specified by:
  `setValue` in class `Property`
Parameters:
  `aValue` - a string representation of the property value

#### getValue

    public final String getValue()

Specified by:
  `getValue` in class `Content`
Returns:
  the content value

#### validate

    public final void validate()
                        throws ValidationException

Perform validation on a property.

Specified by:
  `validate` in class `Property`
Throws:
  `ValidationException` - where the property is not in a valid state